Subject: self image

From: "AlessandroPPC" <[email-masked]>
Date: Wed, 10 Dec 2003 12:09:33 +0100

Dear Wolfgang Denk,

I'm just looking at the SELF image and I observed that when I extract the
image and try to rebuild it
(without adding or removing any files) the dimension of result file is about
9KByte greater  than the original.
I have followed the procedure "How to increase the Size of ramdisk" to
generate an 8MByte ramdisk thus I
was expecting a small increase of the bytes amount, but never as reported.
Do you think I'm wrong somewhere?

Here enclosed is the script file.

any helps would be apreciated.
Many thanks
Alessandro.

[root@pegaso SELF]# ll
totale 1380
-rw-r--r--    1 root     root      1400262 dic 10 11:35 pRamdisk
-rwxr-xr-x    1 pegaso   pegaso       1835 dic 10 11:17 self1.sh
-rwxr-xr-x    1 pegaso   pegaso       1189 dic 10 12:01 self.sh
[root@pegaso SELF]# ./self.sh pRamdisk
entrati 21878+1 record
usciti 21878+1 record
ramdisk.gz:      66.6% -- replaced with ramdisk
entrati 8+0 record
usciti 8+0 record
mke2fs 1.27 (8-Mar-2002)
new_ramdisk is mounted; mke2fs forced anyway.  Hope /etc/mtab is incorrect.
Filesystem label=
OS type: Linux
Block size=1024 (log=0)
Fragment size=1024 (log=0)
2048 inodes, 8192 blocks
0 blocks (0.00%) reserved for the super user
First data block=1
1 block group
8192 blocks per group, 8192 fragments per group
2048 inodes per group

Writing inode tables: done
Writing superblocks and filesystem accounting information: done

This filesystem will be automatically checked every 29 mounts or
180 days, whichever comes first.  Use tune2fs -c or -i to override.
tune2fs 1.27 (8-Mar-2002)
Setting maximal mount count to -1
............................................................................
............................................................................
............................................................................
............................................................................
....................................................
630 blocks
Image Name:   DexGate SELF image
Created:      Wed Dec 10 12:01:37 2003
Image Type:   PowerPC Linux RAMDisk Image (gzip compressed)
Data Size:    1408989 Bytes = 1375.97 kB = 1.34 MB
Load Address: 0x00000000
Entry Point:  0x00000000
[root@pegaso SELF]#